---
updatedAt: 2026-05-31T12:49:47.000Z
agentTools:
  siteIndex: https://docs.jfrog.com/llms.txt
  projectIndex: https://docs.jfrog.com/administration/llms.txt
---

# Update Custom URL Base

Changes the Custom URL base.

**Note:** This API is available only in Self-hosted instances.

**Since:** 3.9.0

**Security:** Requires a valid admin user.


<br />

<Callout icon="📘" theme="info">
  Supported on Self-managed JPDs only.
</Callout>

<br />

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "JFrog Platform - Artifactory System API",
    "description": "Artifactory system configuration APIs for the JFrog Platform.\n\n**Authentication:**\n- Basic authentication using username and password\n- Access Tokens instead of password for basic authentication\n- Access Tokens as bearer token in authorization header (Authorization: Bearer <token>)\n",
    "version": "1.0.0",
    "contact": {
      "name": "JFrog Support"
    }
  },
  "servers": [
    {
      "url": "https://{jfrog_url}",
      "description": "JFrog Platform",
      "variables": {
        "jfrog_url": {
          "default": "myserver.jfrog.io",
          "description": "Your JFrog Platform hostname (e.g., mycompany.jfrog.io)"
        }
      }
    }
  ],
  "tags": [
    {
      "name": "Artifactory System",
      "description": "Artifactory system configuration APIs."
    }
  ],
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "paths": {
    "/artifactory/api/system/configuration/baseUrl": {
      "put": {
        "tags": [
          "Artifactory System"
        ],
        "summary": "Update Custom URL Base",
        "description": "Changes the Custom URL base.\n\n**Note:** This API is available only in Self-hosted instances.\n\n**Since:** 3.9.0\n\n**Security:** Requires a valid admin user.\n",
        "operationId": "updateCustomUrlBase",
        "requestBody": {
          "required": true,
          "description": "The new custom URL base in plain text.",
          "content": {
            "text/plain": {
              "schema": {
                "type": "string",
                "example": "https://mycompany.com:444"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "URL base successfully updated",
            "content": {
              "text/plain": {
                "schema": {
                  "type": "string",
                  "example": "URL base has been successfully updated to \"https://mycompany.com:444\"."
                }
              }
            }
          },
          "400": {
            "description": "Bad Request - Invalid URL"
          },
          "401": {
            "description": "Bad Credentials - Invalid credentials"
          },
          "403": {
            "description": "Permission Denied - Insufficient permissions"
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Access Token as bearer token"
      }
    }
  }
}
```